import request from '@/utils/request'

// 查询文件访问用户列表
export function listWorkUser(query) {
  return request({
    url: '/work/workUser/list',
    method: 'get',
    params: query
  })
}

// 统计文件访问用户列表
export function queryCount(query) {
  return request({
    url: '/work/workUser/queryCount',
    method: 'get',
    params: query
  })
}

// 查询文件访问用户详细
export function getWorkUser(id) {
  return request({
    url: '/work/workUser/' + id,
    method: 'get'
  })
}

// 新增文件访问用户
export function addWorkUser(data) {
  return request({
    url: '/work/workUser',
    method: 'post',
    data: data
  })
}

// 修改文件访问用户
export function updateWorkUser(data) {
  return request({
    url: '/work/workUser',
    method: 'put',
    data: data
  })
}

// 删除文件访问用户
export function delWorkUser(id) {
  return request({
    url: '/work/workUser/' + id,
    method: 'delete'
  })
}
